#
# spec file for package rubygem-dm-core
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
Name:           rubygem-dm-core
Version:        1.2.0
Release:        1.1
%define mod_name dm-core
%define mod_full_name %{mod_name}-%{version}
#
Group:          Development/Languages/Ruby
License:        MIT
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  rubygems_with_buildroot_patch
Provides:       rubygem-%{mod_name}-1_2 = %{version}
%rubygems_requires
# addressable ~> 2.2.6
BuildRequires:  rubygem-addressable-2_2 >= 2.2.6
Requires:       rubygem-addressable-2_2 >= 2.2.6
#
Url:            http://github.com/datamapper/dm-core
Source:         %{mod_full_name}.gem
#
Summary:        An Object/Relational Mapper for Ruby
%description
Faster, Better, Simpler.

%package doc
Summary:        RDoc documentation for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}
%description doc
Documentation generated at gem installation time.
Usually in RDoc and RI formats.

%package testsuite
Summary:        Test suite for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}
%description testsuite
Test::Unit or RSpec files, useful for developers.

%prep
%build
%install
%gem_install %{S:0}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_full_name}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/
%exclude %{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/spec
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_full_name}.gemspec

%files doc
%defattr(-,root,root,-)
%doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_full_name}/

%files testsuite
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/spec

%changelog
* Fri Oct 14 2011 fcastelli@suse.com
- update to version 1.2.0
* Wed Mar 30 2011 kkaempf@novell.com
- update to version 1.1.0
* Thu Mar  3 2011 fcastelli@novell.com
- update to version 1.0.2
* Fri Jun 11 2010 mrueckert@suse.de
- update to version 1.0.0
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Mon Dec 21 2009 prusnak@suse.cz
- update to 0.10.2
* Sat Aug 29 2009 dmacvicar@novell.com
- update to 0.9.11
- make it conflict with addressable 2.1
* Mon Mar 23 2009 dmacvicar@suse.de
- initial package
